#!/usr/bin/make -f

PACKAGE=ranch
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	make SKIP_DEPS=yes
	make docs SKIP_DEPS=yes
 

override_dh_auto_install:
	dh_auto_install
	install -d \
 		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(DEB_VERSION_UPSTREAM)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(DEB_VERSION_UPSTREAM)/ebin/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-ranch
	dh_gencontrol -a -perlang-ranch

override_dh_compress:
	dh_compress -X.erl -X.beam -X.md

override_dh_auto_test:
